Get Golden
GEThttps://api.confident-ai.com/v1/datasets/{alias}/goldens/{goldenId}
Retrieves a single golden by its goldenId from the dataset identified by alias.
curl -X GET "https://api.confident-ai.com/v1/datasets/{alias}/goldens/{goldenId}" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"id": "GOLDEN-ID",
"input": "How's the weather like in NYC?",
"expectedOutput": "No idea"
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe alias of the dataset containing the golden.
goldenIdstringRequiredThe unique id of the golden, returned when the dataset is pulled.
Response
successbooleanThis is true if the golden was successfully retrieved.
dataobject | objectThe retrieved golden.
Show 2 variantsHide 2 variants
GoldenobjectShow 13 propertiesHide 13 properties
idstringServer-assigned identifier, returned when the dataset is pulled. Use it to update or delete this golden. Not accepted when pushing.
inputstringThis is the input to your LLM application.
actualOutputstringThis is the actual output of your LLM application.
expectedOutputstringThis is the expected output of your LLM application, which is the ideal actual output.
retrievalContextlist of stringsThis is the retrieval context of your LLM application.
contextlist of stringsThis is the ideal retrieval context of your LLM application.
toolsCalledlist of objectsThis is the tools called by your LLM application.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
expectedToolslist of objectsThis is the expected tools to be called by the LLM application.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
additionalMetadataobjectThis is any additional metadata you wish to associate with the golden.
commentsstringThis is any comments you wish to associate with the golden.
sourceFilestringThis is the source file from which the golden was retrieved.
finalizedbooleanThis determines whether the golden has been finalized.
customColumnKeyValuesobjectKey-value pairs representing custom table column data for this golden. Keys correspond to the custom column keys defined in the dataset.
- OR
ConversationalGoldenobjectShow 11 propertiesHide 11 properties
idstringServer-assigned identifier, returned when the dataset is pulled. Use it to update or delete this golden. Not accepted when pushing.
scenariostringThis is a description of the conversation context.
userDescriptionstringThis is the description of the user in the conversation.
expectedOutcomestringThis describes the expected outcome, or ideal conversation flow, of the conversation.
turnslist of objectsThis is the list of turns in the conversation.
Show 5 propertiesHide 5 properties
roleenumThe role of the turn, either user or assistant.
Show 2 enum valuesHide 2 enum values
userassistant
contentstringThe message content of the turn.
userIdstringThe user ID associated with the turn.
retrievalContextlist of stringsThe contexts retrieved to generate the LLM response for this turn.
toolsCalledlist of objectsThe tools called to generate the LLM response for this turn.
Show 5 propertiesHide 5 properties
namestringThis is the name of the tool.
descriptionstringThis is the description of the tool.
inputParametersobjectThis is the input parameters that are passed to the tool.
outputstringThis is the output of the tool.
reasoningstringThis is the reasoning your LLM provided for the tool call.
contextlist of stringsThis is the context of the conversation.
additionalMetadataobjectThis is any additional metadata you wish to associate with the golden.
commentsstringThis is any comments you wish to associate with the golden.
sourceFilestringThis is the source file from which the golden was retrieved.
finalizedbooleanThis determines whether the golden has been finalized.
customColumnKeyValuesobjectKey-value pairs representing custom table column data for this golden. Keys correspond to the custom column keys defined in the dataset.
deprecatedbooleanThis is true if this datasets endpoint is deprecated.